Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 401245 - app-admin/collectd-5.0.2 version bump
Summary: app-admin/collectd-5.0.2 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords:
Depends on: 396607 397509
Blocks:
  Show dependency tree
 
Reported: 2012-01-29 00:07 UTC by Johan Bergström
Modified: 2012-02-07 20:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
collectd-5.0.2.ebuild (collectd-5.0.2.ebuild,12.58 KB, text/plain)
2012-02-01 22:12 UTC, Johan Bergström
Details
collectd.initd (collectd.initd,1.52 KB, text/plain)
2012-02-01 22:12 UTC, Johan Bergström
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johan Bergström 2012-01-29 00:07:22 UTC
Lots of bug fixes and a memory leak. Unfortunately the varnishd patch wasn't merged, so our patch has to stay. We should probably rebase against this: https://github.com/jeromer/collectd/compare/master...jr%2Fvarnish3.0

We should also look at fixing the other two open (trivial) bugs.
Comment 1 Johan Bergström 2012-02-01 22:12:12 UTC
Created attachment 300727 [details]
collectd-5.0.2.ebuild

Here's an updated ebuild. Changes:

 - Add routeros support (only compile tested)
 - Wrap ewarn regarding 4->5 upgrade in REPLACING_VERSIONS
 - Change path to varnish patch

Also:

 - If we're currently only keyworded at ~x86, ~amd64, why do we have the freebsd stuff laying around?
 - the target_v5upgrade plugin seems to be built regardless module status. Need to investigate

/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I.  -DPREFIX='"/usr"' -DCONFIGFILE='"/etc/collectd.conf"' -DLOCALSTATEDIR='"/var"' -DPKGLOCALSTATEDIR='"/var/lib/collectd"' -DPIDFILE='"/var/run/collectd.pid"' -DPLUGINDIR='"/usr/lib64/collectd"' -DPKGDATADIR='"/usr/share/collectd"'  -Wall -O2 -pipe -c -o target_v5upgrade.lo target_v5upgrade.c
Comment 2 Johan Bergström 2012-02-01 22:12:51 UTC
Created attachment 300729 [details]
collectd.initd

Updated initd that uses extra_started_commands
Comment 3 Conrad Kostecki gentoo-dev 2012-02-03 08:24:25 UTC
I would like also to see this patch:
http://source.a2o.si/patches/collectd-5.0.1-fix-irq-error.diff

It fixes some problems with the irq plugin. It will be hopefully included in version 5.0.3.
Comment 4 Andreas K. Hüttel gentoo-dev 2012-02-07 20:12:49 UTC
Bumped, thanks Johan! 

@Conrad: the patch is already committed upstream, so I added it too.